# GET /control/v1/models/search

> SearchModels

- `operationId`: `ControlV1ModelsSearchSearchModels`
- Group: [Model Catalog](https://sference.com/docs/api-reference/model-catalog.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/model-catalog/ControlV1ModelsSearchSearchModels

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `q` | query | string \| null | no | Filter by model id, display name, or provider |
| `modality` | query | string | no | — |
| `status` | query | string | no | One of: "available", "coming_soon", "deprecated", "all" |

## Responses

### `200` — Request fulfilled, document follows

Schema: `ModelSearchResponse`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `items` | array<ModelSearchItem> | yes | — | — |

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/model-catalog/ControlV1ModelsSearchSearchModels
